---
title: WritableStream.locked
slug: Web/API/WritableStream/locked
tags:
  - API
  - Experimental
  - Property
  - Reference
  - Streams
  - WritableStream
  - locked
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("Streams")}}</div>

<p class="summary">The <strong><code>locked</code></strong> read-only property of the {{domxref("WritableStream")}} interface returns a boolean indicating whether the <code>WritableStream</code> is locked to a writer. </p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><code>var <em>locked</em> = </code>writableStream</var>.locked;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Boolean")}} indicating whether or not the writable stream is locked.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js"><code class="language-js"><span class="keyword token">const</span> writableStream <span class="operator token">=</span> <span class="keyword token">new</span> <span class="class-name token">WritableStream</span><span class="punctuation token">(</span><span class="punctuation token">{</span>
  <span class="function token">write</span><span class="punctuation token">(</span>chunk<span class="punctuation token">)</span> <span class="punctuation token">{</span>
    <span class="punctuation token">.</span><span class="punctuation token">.</span><span class="punctuation token">.</span>
  <span class="punctuation token">}</span><span class="punctuation token">,</span>
  <span class="function token">close</span><span class="punctuation token">(</span><span class="punctuation token">)</span> <span class="punctuation token">{</span>
    <span class="punctuation token">.</span><span class="punctuation token">.</span><span class="punctuation token">.</span>
  <span class="punctuation token">}</span><span class="punctuation token">,</span>
  <span class="function token">abort</span><span class="punctuation token">(</span>err<span class="punctuation token">)</span> <span class="punctuation token">{</span>
    <span class="punctuation token">.</span><span class="punctuation token">.</span><span class="punctuation token">.</span>
  <span class="punctuation token">}</span>
<span class="punctuation token">}</span><span class="punctuation token">,</span> queuingStrategy<span class="punctuation token">)</span><span class="punctuation token">;</span>

<span class="punctuation token">.</span><span class="punctuation token">.</span><span class="punctuation token">.</span></code>

const writer = writableStream.getWriter();

writableStream.locked
// should return true, as the stream has been locked to a writer</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Streams","#ws-locked","locked")}}</td>
   <td>{{Spec2('Streams')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.WritableStream.locked")}}</p>
